/** @type {import('./$types').PageLoad} */

import { error } from '@sveltejs/kit';
import { browser } from '$app/environment';
import { events_func } from '$lib/ae_events_functions';

export async function load({ parent }) {
	const log_lvl: number = 0;

	const parent_data = await parent();

	const account_id = parent_data.account_id;

	const ae_acct = parent_data[account_id];

	const event_id = ae_acct.slct.event_id; // From root +layout.ts
	if (!event_id) {
		if (log_lvl) {
			console.log(`INFO: events +layout.ts: The event_id was not found in the parent_data.`);
		}
		// return false;
	}

	if (browser) {
		if (event_id) {
			// let ae_params = {};

			const load_event_obj_li = await events_func.load_ae_obj_id__event({
				api_cfg: ae_acct.api,
				event_id: event_id,
				log_lvl: log_lvl
			});
			ae_acct.slct.event_obj_li = load_event_obj_li;
		}

		const load_event_obj_li = await events_func.load_ae_obj_li__event({
			api_cfg: ae_acct.api,
			for_obj_type: 'account',
			for_obj_id: account_id,
			inc_session_li: true,
			hidden: 'all', // 'not_hidden'
			enabled: 'enabled',
			// order_by_li: {'priority': 'DESC', 'sort': 'DESC', 'name': 'ASC', 'updated_on': 'DESC', 'created_on': 'DESC'},
			limit: 25,
			// params: ae_params,
			try_cache: true,
			log_lvl: log_lvl
		});
		ae_acct.slct.event_obj_li = load_event_obj_li;
	}

	parent_data[account_id] = ae_acct;

	return parent_data;

	// let ae_acct = parent_data[account_id];

	// Should we limit these to event.conference = true?
	// let load_event_obj_li = await events_func.load_ae_obj_li__event({
	//     api_cfg: ae_acct.api,
	//     account_id: account_id,
	//     params: {enabled: 'enabled', qry__limit: 25},
	//     try_cache: false,
	//     log_lvl: 1
	// });
	// ae_acct.slct.event_obj_li = load_event_obj_li;

	// parent_data[account_id] = ae_acct;

	// return parent_data;
}
